Page MenuHomePhabricator

Weird defaultsort tags
Closed, ResolvedPublic

Description

I'm working on an AWB project with the Racehorses category and occasionally I get defaultsort tags that don't make sense added. For example, on the article Bold Forbes (name of a racehorse), I got "Forbes, Bold" added as a defaultsort tag. I'm manually removing these when I see them, but it's a bit annoying having to do this. Other examples of articles this has occurred on are Fair Play, Ben's Cat, and Elusive Quality.

Event Timeline

Aspening created this task.Jun 3 2019, 9:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2019, 9:53 PM
Aspening updated the task description. (Show Details)Jun 3 2019, 10:22 PM

@Aspening OK, then AWB is incorrectly determining that the article relates to a person not an animal. Is there a category or infobox that all the articles have that we can use to determine that the pages don't relate to a person?

Aspening added a comment.EditedJun 5 2019, 9:10 PM

Every article I've had this issue with has Infobox racehorse on it (and if they don't that template should be on the article anyway). Infobox animal should also be noted here; while I haven't tested to see if this problem happens on non-racehorse animal articles, it seems logical that any article with Infobox animal on it is also not about a human.

(ETA: I've seen a few articles with Infobox named horse as well.)

For what it's worth, I also had an issue with AWB adding human birth and death categories to racehorse articles. Typically, this error would happen alongside the defaultsort issue I described. I've figured out a way to disable adding those categories using a module temporarily while I'm working on the racehorse project, but when I move over to other projects I might have this issue again with, for example, articles about other animals.

In short, articles with Infobox racehorse, Infobox named horse or Infobox animal on them are generally not about humans and should be exempted from defaultsort and human birth/death category tagging.

Rjwilmsi closed this task as Resolved.Jun 9 2019, 10:00 AM
Rjwilmsi claimed this task.

rev 12335 Article isn't about a person if has {{infobox racehorse}} (infobox animal already covered).

Fixed in code, will require new release of AWB to see it in action.